Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006231 [JEDI VCL] 00 JVCL Components minor always 2013-12-04 03:53 2015-09-14 13:20
Reporter poleras View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006231: WantReturns always set to true
Description I set the WantReturns property of a JvRichEdit to false, but at runtime it always seems to catch the return key press and adds a new line. In the other hand, WantTabs works as expected.
Additional Information I know this issue has been reported previously (id: 0005533) but I'm a newby and I donĀ“t know how to re open it (if possible)
Tags No tags attached.
Attached Files zip file icon JvRE_WantReturns_issue.zip [^] (1,470 bytes) 2013-12-17 16:41

- Relationships
related to 0005533resolvedobones Not working property WantReturns := False 

-  Notes
(0020750)
obones (administrator)
2013-12-13 11:09

Please try with the latest JVCL version in GIT (or daily zip) and then send us a zipped file containing the sources of an application showing the issue.
(0020870)
poleras (reporter)
2013-12-16 19:14

OK, I'll try a daily zip and then I'll let you know how it worked. I'm a little bit busy these days, please don't close this issue! I'll try to do it asap. Thanks
(0020872)
poleras (reporter)
2013-12-17 16:46

Ok, I've installed latest daily zips (jcl-2.5.0.5039.7z and JVCL3-2013-12-06.zip) Same issue. I've attached a small demo app. Please let me know if you need anything else to help.
(0020886)
obones (administrator)
2013-12-18 16:03

This is now in GIT

- Issue History
Date Modified Username Field Change
2013-12-04 03:53 poleras New Issue
2013-12-04 03:54 poleras Issue Monitored: poleras
2013-12-13 11:09 obones Note Added: 0020750
2013-12-13 11:09 obones Status new => feedback
2013-12-13 11:09 obones Relationship added related to 0005533
2013-12-16 19:14 poleras Note Added: 0020870
2013-12-17 16:41 poleras File Added: JvRE_WantReturns_issue.zip
2013-12-17 16:46 poleras Note Added: 0020872
2013-12-18 09:26 obones Status feedback => acknowledged
2013-12-18 16:03 obones Note Added: 0020886
2013-12-18 16:03 obones Status acknowledged => resolved
2013-12-18 16:03 obones Fixed in Version => Daily / GIT
2013-12-18 16:03 obones Resolution open => fixed
2013-12-18 16:03 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker